%define name	pam_mysql
%define version 0.7
%define beta    RC1
%define release %mkrel 0.%{beta}.7

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	MySQL authentication for PAM
License:	GPLv2+
Group:		System/Libraries
URL:		http://sourceforge.net/projects/pam-mysql/
Source:		http://ovh.dl.sourceforge.net/sourceforge/pam-mysql/%name-%version%beta.tar.gz
Patch0:        	pam_mysql-0.7RC1-fix-link.patch
Requires:	pam
BuildRequires:	pam-devel
BuildRequires:	mysql-devel
BuildRequires:	openssl-devel
Obsoletes:	pam-mysql
Provides:	pam-mysql
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is a module that allows people to login to PAM-aware applications by
authenticating to a MySQL database. Now configurable in terms of which host the
database resides upon and which table and username and password column to
interrogate.

%prep
%setup -q -n %name-%version%beta
%patch0 -p0

%build
%configure2_5x --with-openssl=%{_prefix} --with-pam-mods-dir=/%_lib/security
%make

%install
%makeinstall_std
rm -f %buildroot/%_lib/security/*.la

%clean
rm -rf %buildroot

%files
%defattr(-, root, root)
%doc ChangeLog CREDITS README NEWS
/%_lib/security/pam_mysql.so


%changelog
* Fri Apr 16 2010 Funda Wang <fwang@mandriva.org> 0.7-0.RC1.7mdv2010.1
+ Revision: 535247
- fix link
- rebuild

* Sat Mar 20 2010 Emmanuel Andry <eandry@mandriva.org> 0.7-0.RC1.5mdv2010.1
+ Revision: 525509
- enable openssl support with p0 from reporter (#58011)

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7-0.RC1.4mdv2010.1
+ Revision: 507502
- rebuild

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.7-0.RC1.3mdv2010.0
+ Revision: 440476
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - use lowercase mysql-devel

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7-0.RC1.2mdv2009.1
+ Revision: 311342
- rebuilt against mysql-5.1.30 libs

* Sun Nov 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.7-0.RC1.1mdv2009.1
+ Revision: 303825
- new version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.6.2-3mdv2009.0
+ Revision: 254967
- rebuild

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2008.1
+ Revision: 163369
- New version 0.6.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tv@mandriva.org> 0.5-6mdv2008.1
+ Revision: 134700
- do not reinvent %%doc
- kill re-definition of %%buildroot on Pixel's request

* Sun May 06 2007 Lenny Cartier <lenny@mandriva.org> 0.5-6mdv2008.0
+ Revision: 23744
- Import pam_mysql

